Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface ObjectLiteralTree

- All Superinterfaces:
    `ExpressionTree`, `Tree`

      @Deprecated(since="11",
                  forRemoval=true)
      public interface ObjectLiteralTree
      extends ExpressionTree

  Deprecated, for removal: This API element is subject to removal in a future version.
  Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
  Represents ECMAScript object literal expression.
  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends PropertyTree>` | `getProperties()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the list of properties of this object literal.

    - ### Methods declared in interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getProperties

          List<? extends PropertyTree> getProperties()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the list of properties of this object literal.
      Returns:
        the list of properties of this object literal